Check-in [fd32e55ed8]
Overview
Comment:Updated to pass "wget" errors from Tcl build up to stderr
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:fd32e55ed8bb5d397f1843237bdb69e7afb2cbfe
User & Date: rkeene on 2011-09-14 18:25:24
Other Links: manifest | tags
Context
2011-09-15
20:00
Added support for creating debug symbols builds check-in: 57ce9464cc user: rkeene tags: trunk
2011-09-14
18:25
Updated to pass "wget" errors from Tcl build up to stderr check-in: fd32e55ed8 user: rkeene tags: trunk
2011-08-15
18:15
Added a "bigbuild" option to testing check-in: 335b6cb191 user: rkeene tags: trunk
Changes

Modified kitcreator from [9916a29d8c] to [841b4aa9c5].

   124    124   for pkg in tcl tclvfs zlib ${KITCREATOR_PKGS} kitsh; do
   125    125   	echo -n "Building ${pkg} ..."
   126    126   
   127    127   	failed="0"
   128    128   	(
   129    129   		cd "${pkg}" >/dev/null 2>/dev/null || exit 1
   130    130   
   131         -		./build.sh > build.log 2>&1 || exit 1
          131  +		./build.sh 3>&1 4>&2 > build.log 2>&1 || exit 1
   132    132   	) || failed="1"
   133    133   
   134    134   	if [ "${failed}" = "1" ]; then
   135    135   		echo " failed."
   136    136   		failedpkgs="${failedpkgs} ${pkg}"
   137    137   	else
   138    138   		echo " done."

Modified tcl/build.sh from [8a67bfa303] to [4268eb0491].

    97     97   			cd ..
    98     98   
    99     99   			rm -rf "${workdir}"
   100    100   		) || exit 1
   101    101   	else
   102    102   		if [ ! -d 'buildsrc' ]; then
   103    103   			rm -f "${SRC}.tmp"
   104         -			wget -O "${SRC}.tmp" "${SRCURL}" || exit 1
          104  +			wget -O "${SRC}.tmp" "${SRCURL}" || (
          105  +				echo '  Unable to download source code for Tcl.' >&4
          106  +				echo "  Attempted to run:  wget -O \"${SRC}.tmp\" \"${SRCURL}\"" >&4
          107  +				echo "  Got:"
          108  +				wget -O "${SRC}.tmp" "${SRCURL}" 2>&1 | sed 's@^@    @' >&4
          109  +
          110  +				echo '  Aborting Tcl -- further packages will likely also fail.' >&4
          111  +
          112  +				exit 1
          113  +			) || exit 1
   105    114   			mv "${SRC}.tmp" "${SRC}"
   106    115   		fi
   107    116   	fi
   108    117   fi
   109    118   
   110    119   (
   111    120   	cd 'build' || exit 1